WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Extensions from 4.x repo verified ok with tc-5  (Read 38493 times)

Offline nitram

  • Hero Member
  • *****
  • Posts: 1052
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #195 on: June 28, 2015, 11:16:40 PM »
grabber.tcz also works great in TC6. Was unable to test without imlib2.tcz on my system, as it's a dependency for Fluxbox. Also a dependency for Xprogs, so unlikely anyone will be running without imlib2. Let me know if you would like me to temp install another window manager that doesn't rely on imlib2 for further testing...otherwise all good. Nice extension.

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5199
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #196 on: June 29, 2015, 06:33:15 AM »
Hi nitram
Thanks for testing.
Quote
Was unable to test without imlib2.tcz on my system, as it's a dependency for Fluxbox.
There's no point in trying to test without imlib2.tcz since grabber depends on it.
Quote
Also a dependency for Xprogs, so unlikely anyone will be running without imlib2.
icewm.tcz.tree  does not list  Xprogs  as a dependency.
Quote
...otherwise all good. Nice extension.
Glad you like it.

Offline nitram

  • Hero Member
  • *****
  • Posts: 1052
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #197 on: June 29, 2015, 09:41:05 AM »
Did a couple 'base norestore' boots using Icewm. In TC6 'startx' does not appear to work without Xprogs loaded for both Xvesa and Xorg. So imlib2 may not need to be listed in the .dep file for grabber as running any GUI in TC6 will already have imlib2 loaded via Xprogs.

Noticed an odd behavior though, not sure if this is present in your TC4 grabber. When starting grabber, the screen appears to shift upwards slightly and if the user panel is on top (Icewm defaults this way), then a second panel is drawn in just below. So it looks like there are two panels running one above the other along the tope of the screen - looks very odd. None of the grabber screenshots taken in Icewm actually showed this behaviour though in the actual screenshot png image. Unfortunately when grabber is running i couldn't switch to another aterm to run screenshot.sh and when grabber is exited (q key) then the double panel effect disappears. You may want to load TC6 and test for yourself to see what i mean.

Did some more testing in my usual Fluxbox setup and the same effect was present. It didn't draw in a second upper panel but shifted my Firefox window up below the panel. So the grabber screenshot is actually not accurate, as Firefox is maximized along the bottom of the panel border.

Pictures attached. Sorry for the dark theme. These two screenshots (grabber vs screenshot.sh) clearly show the Firefox shift up into my panel space.
« Last Edit: June 29, 2015, 09:44:32 AM by nitram »

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5199
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #198 on: June 30, 2015, 12:23:16 PM »
Hi nitram
So as not to pollute this thread, let's continue this here:
http://forum.tinycorelinux.net/index.php/topic,18412.msg113558.html#msg113558

Offline Lukasz032

  • WikiUser
  • *
  • Posts: 5
  • Developing servers (:
    • Lukasz032 Webserver
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #199 on: October 08, 2015, 02:59:10 AM »
libmcrypt.tcz from 4.x checked, working flawlessly on 5.x.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9008
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #200 on: October 08, 2015, 04:01:28 AM »
libmcrypt copied to tc-5.x and 6.x repos - thanks for reporting this.

Note that this extension does not follow the tinycore extension guidelines in that it contains both the usual files and dev files in the same extension making it unneccessarily large for most users...

Offline Lukasz032

  • WikiUser
  • *
  • Posts: 5
  • Developing servers (:
    • Lukasz032 Webserver
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #201 on: October 13, 2015, 11:16:39 AM »
lighttpd has an undocumented dependency of libattr - it would be a good idea to add this missing dep :)

Also sox from 4.x is working on 5.x :)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9008
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #202 on: October 13, 2015, 09:30:45 PM »
Thanks for reporting, but:

I don't see the libattr dep in lighttpd (but I do see dev files, man pages and unstripped files in lib and sbin)?

sox has a dep on libpng12, which is not in the tc-5.x repo - since both 4.x and 5.x are not current, I'm not sure it's worth adding libpng12 to the 5.x repo.

Offline Lukasz032

  • WikiUser
  • *
  • Posts: 5
  • Developing servers (:
    • Lukasz032 Webserver
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #203 on: October 14, 2015, 01:04:11 AM »
While running lighttpd without libattr installed:
Code: [Select]
error: error loading shared library libattr.so.1: No such file or directory
Thanks for the information about sox, I'll recompile sox from newest sources, as well as freeradius.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9008
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #204 on: October 14, 2015, 02:41:29 AM »
Hmm - strange that ldd doesn't find that...

dep file adjusted.

Offline Uncle Warthog

  • WikiUser
  • *
  • Posts: 6
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #205 on: October 25, 2016, 08:27:42 AM »
pidgin.tcz from 5.x seems to work in 7.2 if libiconv.tcz is removed from its .dep file and libffi5.tcz and shared-mime-info.tcz are added.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #206 on: March 15, 2017, 08:57:34 AM »
99% of my music libraries use the aac codec, although there was a time when mp3 was popular it offered very poor quality.  So at a minimum I encoded using aac.
However, after searching for xmms-mp4 plugin for XMMS, I found these plugins from tc-4.x were never copied to tc-5, tc-6.x or tc-7.x  (perhaps because of deps?)

 "xmms-mp4 plugin" extension verified works in tc-7.2  (with faad.tcz as listed in xmms.tcz.dep is installed)

Strange thing is faad.tcz info file "Title" or the extension itself needs updating as it's Title is listed as faad2.tcz while extension is named faad.tcz.   It's likely the extension contains faad2 as this version appears the only version available AFAIK.


So I have to assume these remaining plugins work in all newer tc versions also

xmms-flac.tcz (requires flac.tcz dep, already in tc-7 repo)
xmms-wma.tcz (does not require any deps afaik)

« Last Edit: March 15, 2017, 09:00:34 AM by coreplayer2 »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9008
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #207 on: March 16, 2017, 03:38:48 AM »
xmms-{flac,mp4,wma} copied to tc-7.x x86 and 8.x x86 repos - thanks.